package com.ysnows.base.ccretrofit.annotation;

import java.lang.annotation.Documented;
import java.lang.annotation.Retention;
import java.lang.annotation.Target;

import static java.lang.annotation.ElementType.METHOD;
import static java.lang.annotation.RetentionPolicy.RUNTIME;

/**
 * 标识 cc异步调用回调是否在主线程, @Async
 */
@Documented
@Target(METHOD)
@Retention(RUNTIME)
public @interface MainThread {
}
