package com.ysnows.base.route

import com.billy.cc.core.component.CCResult
import com.ysnows.base.ccretrofit.IRoute
import com.ysnows.base.ccretrofit.annotation.Async
import com.ysnows.base.ccretrofit.annotation.MainThread
import com.ysnows.base.ccretrofit.annotation.Param
import io.reactivex.Observable

interface IAlipay : IRoute {
    @MainThread
    @Async
    fun pay(@Param("orderInfo") orderInfo: String?): Observable<CCResult>
}